Bug 242543 - Review Request: AcetoneISO - CD/DVD Image Manipulator
Review Request: AcetoneISO - CD/DVD Image Manipulator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Package Reviews List
:
Depends On: 242544
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 14:59 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 17:16:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-06-04 14:59:57 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/AcetoneISO.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/AcetoneISO-6.7-1.fc7.src.rpm
Description: 
AcetoneISO: The CD/DVD image manipulator for Linux, it can do the following:
- Mount and Unmount ISO, MDF, NRG (if iso-9660 standard)
- Convert / Extract / Browse to ISO : *.bin *.mdf *.nrg *.img *.daa *.cdi
  *.xbx *.b5i *.bwi *.pdi
- Play a DVD Movie ISO with most used media players
- Generate an ISO from a Folder or CD/DVD
- Generate MD5 file of an image
- Encrypt an image
- Split image into X megabyte chunks
- Highly compress an image
- Rip a PSX cd to *.bin to make it work with epsxe/psx emulators
- Service-Menu support for Konqueror
- Restore a lost CUE file of *.bin *.img
Comment 1 Dan Horák 2007-06-04 17:00:35 EDT
You can expect full review tomorrow, I think.
Comment 2 Dan Horák 2007-06-05 12:04:59 EDT
As it distributes original sources without the non-redistributable poweriso
binary, it should be mentioned somewhere for the end-user - eg. in %description
or in a standalone README.Fedora. The text could be:
poweriso utility from original source archive is not included as it is
binary-only and not redistributable. Conversion from XY to AB will not be possible.
Comment 3 Dan Horák 2007-07-18 16:43:58 EDT
First sorry for this delay, but the review is here:

OK	source files doesn't match upstream, because non-distributable/non-free
	    file (poweriso) is removed, but the rest was checked to be the same
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPL) and license text is included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Development/i386) and native FC6/x86_64
OK	debuginfo package looks complete.
OK	rpmlint output can be ignored
OK	final provides and requires look sane:
OK	no shared libraries are added to the regular linker search paths.
BAD	doesn't own the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app and the desktop file is properly installed


BAD	doesn't own the directories it creates.
	    AcetoneISO.kmdr is placed into %{_datadir}/apps/%{name}/scripts,
	    but the directory %{_datadir}/apps/%{name} is unowned
Comment 4 Tom "spot" Callaway 2007-11-08 13:45:59 EST
Sorry for the delay.

New SRPM: http://auroralinux.org/people/spot/review/AcetoneISO-6.7-2.fc8.src.rpm
New SPEC: http://auroralinux.org/people/spot/review/AcetoneISO.spec

Fixes the directory ownership, desktop file problems, missing dependencies.
Comment 5 Dan Horák 2007-11-11 05:03:23 EST
all issues are fixed, so this package is APPROVED
Comment 6 Dan Horák 2007-11-11 05:04:36 EST
Also AcetoneISO2 changed its license from Creative Commons to GPL3, so it may
worth looking at it.
Comment 7 Tom "spot" Callaway 2007-11-11 20:50:54 EST
(In reply to comment #6)
> Also AcetoneISO2 changed its license from Creative Commons to GPL3, so it may
> worth looking at it.

Yes, but unfortunately, they're also now linking to qt4 (which they can't
legally do, because qt4 is GPLv2 only).
Comment 8 Tom "spot" Callaway 2007-11-19 17:16:12 EST
CVS done and builds building. Thanks for the review. If the qt licensing ever
resolves itself, I'll put up AcetoneISO2 for review (package is done, just
legally impossible).

Note You need to log in before you can comment on or make changes to this bug.